import { Config } from '@core/config';
import { createServiceFactory, SpectatorService } from '@ngneat/spectator';

import { ProductImageService } from './product-image.service';

describe('ProductImageService', () => {
  let spectator: SpectatorService<ProductImageService>;
  const createService = createServiceFactory({
    service: ProductImageService,
    mocks: [Config],
  });

  beforeEach(() => {
    spectator = createService();
  });

  it('should be created', () => {
    expect(spectator.service).toBeTruthy();
  });
});
